<?php

namespace App\Events;

use Illuminate\Queue\SerializesModels;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;

class PendahuluanSerahan implements ShouldBroadcast
{
  use Dispatchable, InteractsWithSockets, SerializesModels;

  public $pengesahan;

  public function __construct($pengesahan)
  {
      $this->pengesahan = $pengesahan;
  }

  public function broadcastOn()
  {
    return ['pendahuluanserahan-notice'];
  }

  public function broadcastAs()
  {
    return 'penserahan-event';
  }
}